public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-print/cndrvcups-lb/
Date: Sun, 20 Oct 2019 10:14:41 +0000 (UTC)	[thread overview]
Message-ID: <1571566474.e9171210d66a7c39df665563efd9988e3430dbcc.pacho@gentoo> (raw)

commit:     e9171210d66a7c39df665563efd9988e3430dbcc
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 20 10:13:09 2019 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Oct 20 10:14:34 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e9171210

net-print/cndrvcups-lb: Version bump

Package-Manager: Portage-2.3.77, Repoman-2.3.17
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 net-print/cndrvcups-lb/Manifest                 |   1 +
 net-print/cndrvcups-lb/cndrvcups-lb-3.70.ebuild | 114 ++++++++++++++++++++++++
 2 files changed, 115 insertions(+)

diff --git a/net-print/cndrvcups-lb/Manifest b/net-print/cndrvcups-lb/Manifest
index a25da6d6333..225fe9561f2 100644
--- a/net-print/cndrvcups-lb/Manifest
+++ b/net-print/cndrvcups-lb/Manifest
@@ -1 +1,2 @@
 DIST linux-UFRII-drv-v360-uken.tar.gz 116695930 BLAKE2B 75b0ed7a957fbc1677a834e67b92b7752cfa74536cb238b553f1c2c98b86399c29209240d093492ea212618c0092ad59a22f03f992462b8ef488f8ed58b51d21 SHA512 c8b2abb2d0e9ccf972241dda5154c0ddd1ba9cfe6c721c242c40c90cf29e8d0b2c6a559907318cd191232f699a42425cc4148aebcaab6aa111f1cb5439777ce7
+DIST linux-UFRII-drv-v370-uken-05.tar.gz 117334511 BLAKE2B 295c7a710b0f1ee29e642b29c7b0576f68317dba93758825aa85d431129cebea174d5c2dfa67f7506fa3b18fe48d373f0dc9331ed9caabc2e3bc733946aefd97 SHA512 d83254b7f7f87c56caeaaf151d898de36f746c03ad88d427959bdeec905b9cd92a14a8ac534073473a6cefbb5e2b0be9e9faa79b500e252ecd0a0564d2312bbc

diff --git a/net-print/cndrvcups-lb/cndrvcups-lb-3.70.ebuild b/net-print/cndrvcups-lb/cndrvcups-lb-3.70.ebuild
new file mode 100644
index 00000000000..b7afeb8bf4c
--- /dev/null
+++ b/net-print/cndrvcups-lb/cndrvcups-lb-3.70.ebuild
@@ -0,0 +1,114 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit autotools
+
+MY_PV="$(ver_rs 1- '')"
+SOURCES_NAME="linux-UFRII-drv-v${MY_PV}-uken"
+
+DESCRIPTION="Canon UFR II / LIPSLX Printer Driver for Linux"
+HOMEPAGE="https://www.canon-europe.com/support/products/imagerunner/imagerunner-1730i.aspx"
+SRC_URI="http://gdlp01.c-wss.com/gds/8/0100007658/08/${SOURCES_NAME}-05.tar.gz"
+
+LICENSE="Canon-UFR-II"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE=""
+
+RDEPEND="
+	>=dev-libs/libxml2-2.9.1-r4[abi_x86_32(-)]
+	>=gnome-base/libglade-2.4:2.0
+	>=net-print/cups-1.1.17
+	~net-print/cndrvcups-common-lb-${PV}
+	>=x11-libs/gtk+-2.4:2
+"
+DEPEND="${DEPEND}"
+BDEPEND=""
+
+S="${WORKDIR}/${SOURCES_NAME}/Sources/${P}"
+
+MAKEOPTS+=" -j1"
+
+pkg_setup() {
+	# Don't raise a fuss over pre-built binaries
+	QA_PREBUILT="
+		/usr/bin/cnpkbidi
+		/usr/bin/cnpkmoduleufr2
+		/usr/$(get_abi_LIBDIR x86)/libEnoJPEG.so.1.0.0
+		/usr/$(get_abi_LIBDIR x86)/libEnoJBIG.so.1.0.0
+		/usr/$(get_abi_LIBDIR x86)/libufr2filter.so.1.0.0
+		/usr/$(get_abi_LIBDIR x86)/libcnlbcm.so.1.0
+		/usr/$(get_abi_LIBDIR x86)/libcaiocnpkbidi.so.1.0.0
+		/usr/$(get_abi_LIBDIR x86)/libcanonufr2.so.1.0.0
+	"
+	QA_SONAME="/usr/$(get_abi_LIBDIR x86)/libcaiocnpkbidi.so.1.0.0"
+}
+
+src_unpack() {
+	unpack ${A}
+	cd "${WORKDIR}/${SOURCES_NAME}/Sources/" || die
+	unpack ./${P}-1.tar.gz
+}
+
+change_dir() {
+	for i in buftool pstoufr2cpca cngplp cngplp/files cpca ; do
+		cd "${i}" || die
+		"${@}" || die
+		cd "${S}" || die
+	done
+}
+
+src_prepare() {
+	default
+	sed -i -e \
+		"s:filterdir = \$(libdir)/cups/filter:filterdir = `cups-config --serverbin`/filter:" \
+		pstoufr2cpca/filter/Makefile.am || die
+
+	export "LIBS=-lgmodule-2.0"
+	change_dir mv configure.in configure.ac
+	change_dir sed -i -e 's/configure.in/configure.ac/' configure.ac
+	change_dir eautoreconf
+}
+
+src_configure() {
+	change_dir econf
+}
+
+src_install() {
+	default
+	einstalldocs
+
+	find "${D}" -name '*.la' -type f -delete || die
+
+	insinto /usr/share/cups/model
+	doins ppd/*.ppd
+
+	cd "${S}/data" || die
+	insinto /usr/share/caepcm
+	doins *
+
+	cd "${S}/libs" || die
+	insinto /usr/share/cnpkbidi
+	doins cnpkbidi_info*
+
+	insinto /usr/share/ufr2filter
+	doins ThLB*
+
+	ABI=x86
+	dobin cnpkbidi cnpkmoduleufr2
+	dolib.so libcnlbcm.so.1.0
+	dosym libcnlbcm.so.1.0 "/usr/$(get_libdir)/libcnlbcm.so.1"
+	dosym libcnlbcm.so.1.0 "/usr/$(get_libdir)/libcnlbcm.so"
+	for lib in *.so.?.?.?; do
+		dolib.so "${lib}"
+		dosym "${lib}" "/usr/$(get_libdir)/${lib%.?.?}"
+		dosym "${lib}" "/usr/$(get_libdir)/${lib%.?.?.?}"
+	done
+
+	# c3pldrv dlopens the absolute path /usr/lib/libcnlbcm.so :(, bug #????
+	# Only needed with SYMLINK_LIB=yes #642138
+	if [[ "$(get_libdir)" != lib ]] && [[ ${SYMLINK_LIB} = yes ]]; then
+		dosym "../$(get_libdir)/libcnlbcm.so" /usr/lib/libcnlbcm.so
+	fi
+}


             reply	other threads:[~2019-10-20 10:14 UTC|newest]

Thread overview: 26+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-10-20 10:14 Pacho Ramos [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-07-30 13:03 [gentoo-commits] repo/gentoo:master commit in: net-print/cndrvcups-lb/ David Seifert
2021-04-12  1:09 Sam James
2021-04-02 14:01 Sam James
2021-03-16 19:57 Sam James
2021-01-07 18:56 Sam James
2021-01-07 17:34 Sam James
2019-10-20 10:18 Pacho Ramos
2019-05-26 20:44 David Seifert
2019-04-02  6:40 Pacho Ramos
2019-03-28  7:16 Mikle Kolyada
2019-02-24  9:11 Pacho Ramos
2018-11-18 10:53 Pacho Ramos
2018-11-18 10:53 Pacho Ramos
2018-11-12 18:52 Mikle Kolyada
2018-11-12  1:14 Thomas Deutschmann
2018-11-11 13:59 Pacho Ramos
2018-11-11 13:59 Pacho Ramos
2018-09-28 11:49 Mikle Kolyada
2018-09-15 11:58 Pacho Ramos
2018-02-27 19:31 Pacho Ramos
2017-09-05 18:36 Pacho Ramos
2017-09-05 18:36 Pacho Ramos
2017-07-27  8:35 Pacho Ramos
2015-12-31 12:38 Pacho Ramos
2015-11-21 11:27 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1571566474.e9171210d66a7c39df665563efd9988e3430dbcc.pacho@gentoo \
    --to=pacho@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox